Summary:       Fast, high-quality sample rate conversion library
Name:          zita-resampler
Version:       1.8.0
Release:       1%{?dist}
License:       GPLv3+
URL:           http://kokkinizita.linuxaudio.org/linuxaudio/zita-resampler/resampler.html
Source0:       http://kokkinizita.linuxaudio.org/linuxaudio/downloads/zita-resampler-%{version}.tar.bz2
Patch0001:     zita-resampler-1.6.2-destdir.patch
BuildRequires: gcc-c++ make
BuildRequires: libsndfile-devel

%description
zita-resampler is a C++ library for resampling audio signals. It is
designed to be used within a real-time processing context, to be fast,
and to provide high-quality sample rate conversion.

The library operates on signals represented in single-precision
floating point format. For multichannel operation both the input and
output signals are assumed to be stored as interleaved samples.

The API allows a trade-off between quality and CPU load. For the
latter a range of approximately 1:6 is available. Even at the highest
quality setting zita-resampler will be faster than most similar
libraries, e.g. libsamplerate.

%package  devel
Summary:       Development libraries and headers for %{name}
Requires:      %{name} = %{version}-%{release}

%description devel
This package contains the headers and development libraries for %{name}.

%prep
%autosetup -p1
sed -i -e 's|-O[23]||' -e 's|ldconfig||' -e 's|-march=native||' -e '/^CPPFLAGS += -DENABLE_SSE2/d' source/Makefile
sed -i -e 's|-O[23]||' -e 's|-march=native||' apps/Makefile

%build
%ifarch x86_64
CPPFLAGS+=" -DENABLE_SSE2"
export CPPFLAGS
%endif
%make_build -C source
ln -sf libzita-resampler.so.%{version} source/libzita-resampler.so

CXXFLAGS+=" -I../source"
LDFLAGS+=" -L../source"
%make_build -C apps

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir} -C source install
%make_install MANDIR=%{_mandir}/man1 PREFIX=%{_prefix} LIBDIR=%{_libdir} -C apps install
chmod 755 %{buildroot}/%{_libdir}/lib%{name}.so.%{version}


%files
%license COPYING
%doc AUTHORS
%{_libdir}/lib%{name}.so.1*
%{_bindir}/zresample
%{_bindir}/zretune
%{_mandir}/man1/zresample.1.*
%{_mandir}/man1/zretune.1.*

%files devel
%doc docs/*
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so

%changelog
* Thu Aug 1 2024 jiang ling yu <1353859743@qq.com> - 1.8.0-1
- other
- initial build
